---
title: Fleet Automation
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Fleet Automation
---

# Fleet Automation

Manage automated deployments across your fleet of hosts.

Fleet Automation provides two types of deployments:

Configuration Deployments (`/configure`):

- Apply configuration file changes to target hosts
- Support merge-patch operations to update specific configuration fields
- Support delete operations to remove configuration files
- Useful for updating Datadog Agent settings, integration configs, and more

Package Upgrade Deployments (`/upgrade`):

- Upgrade the Datadog Agent to specific versions

## List all available Agent versions → preview{% #list-all-available-agent-versions %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/agent_versions |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/agent_versions |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/agent_versions      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/agent_versions      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/agent_versions  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/agent_versions     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/agent_versions |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/agent_versions |

## List all Datadog Agents → preview{% #list-all-datadog-agents %}

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/agents |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/agents |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/agents      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/agents      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/agents  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/agents     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/agents |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/agents |

## Get detailed information about an agent → preview{% #get-detailed-information-about-an-agent %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/agents/{agent_key} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/agents/{agent_key} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/agents/{agent_key}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/agents/{agent_key}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/agents/{agent_key}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/agents/{agent_key}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/agents/{agent_key} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/agents/{agent_key} |

## List all deployments → preview{% #list-all-deployments %}

| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/deployments |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/deployments |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/deployments      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/deployments      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/deployments  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/deployments     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/deployments |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/deployments |

## Create a configuration deployment → preview{% #create-a-configuration-deployment %}

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/unstable/fleet/deployments/configure |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/unstable/fleet/deployments/configure |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/unstable/fleet/deployments/configure      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/unstable/fleet/deployments/configure      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/unstable/fleet/deployments/configure  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/unstable/fleet/deployments/configure     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/unstable/fleet/deployments/configure |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/unstable/fleet/deployments/configure |

## Upgrade hosts → preview{% #upgrade-hosts %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/unstable/fleet/deployments/upgrade |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/unstable/fleet/deployments/upgrade |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/unstable/fleet/deployments/upgrade      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/unstable/fleet/deployments/upgrade      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/unstable/fleet/deployments/upgrade  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/unstable/fleet/deployments/upgrade     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/unstable/fleet/deployments/upgrade |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/unstable/fleet/deployments/upgrade |

## Get a configuration deployment by ID → preview{% #get-a-configuration-deployment-by-id %}

| Datadog site      | API endpoint                                                                     |
| ----------------- | -------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/deployments/{deployment_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/deployments/{deployment_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/deployments/{deployment_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/deployments/{deployment_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/deployments/{deployment_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/deployments/{deployment_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/deployments/{deployment_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/deployments/{deployment_id} |

## Cancel a deployment → preview{% #cancel-a-deployment %}

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/unstable/fleet/deployments/{deployment_id}/cancel |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/unstable/fleet/deployments/{deployment_id}/cancel |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/unstable/fleet/deployments/{deployment_id}/cancel      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/unstable/fleet/deployments/{deployment_id}/cancel      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/unstable/fleet/deployments/{deployment_id}/cancel  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/unstable/fleet/deployments/{deployment_id}/cancel     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/unstable/fleet/deployments/{deployment_id}/cancel |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/unstable/fleet/deployments/{deployment_id}/cancel |

## List all schedules → preview{% #list-all-schedules %}

| Datadog site      | API endpoint                                                   |
| ----------------- | -------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/schedules |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/schedules |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/schedules      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/schedules      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/schedules  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/schedules     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/schedules |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/schedules |

## Create a schedule → preview{% #create-a-schedule %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/unstable/fleet/schedules |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/unstable/fleet/schedules |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/unstable/fleet/schedules      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/unstable/fleet/schedules      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/unstable/fleet/schedules  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/unstable/fleet/schedules     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/unstable/fleet/schedules |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/unstable/fleet/schedules |

## Get a schedule by ID → preview{% #get-a-schedule-by-id %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/schedules/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/schedules/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/schedules/{id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/schedules/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/schedules/{id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/schedules/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/schedules/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/schedules/{id} |

## Update a schedule → preview{% #update-a-schedule %}

| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/unstable/fleet/schedules/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/unstable/fleet/schedules/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/unstable/fleet/schedules/{id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/unstable/fleet/schedules/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/unstable/fleet/schedules/{id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/unstable/fleet/schedules/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/unstable/fleet/schedules/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/unstable/fleet/schedules/{id} |

## Delete a schedule → preview{% #delete-a-schedule %}

| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/unstable/fleet/schedules/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/unstable/fleet/schedules/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/unstable/fleet/schedules/{id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/unstable/fleet/schedules/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/unstable/fleet/schedules/{id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/unstable/fleet/schedules/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/unstable/fleet/schedules/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/unstable/fleet/schedules/{id} |

## Trigger a schedule deployment → preview{% #trigger-a-schedule-deployment %}

| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/unstable/fleet/schedules/{id}/trigger |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/unstable/fleet/schedules/{id}/trigger |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/unstable/fleet/schedules/{id}/trigger      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/unstable/fleet/schedules/{id}/trigger      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/unstable/fleet/schedules/{id}/trigger  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/unstable/fleet/schedules/{id}/trigger     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/unstable/fleet/schedules/{id}/trigger |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/unstable/fleet/schedules/{id}/trigger |

## List all fleet tracers → preview{% #list-all-fleet-tracers %}

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/tracers |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/tracers |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/tracers      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/tracers      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/tracers  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/tracers     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/tracers |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/tracers |

## List tracers for a specific agent → preview{% #list-tracers-for-a-specific-agent %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/agents/{agent_key}/tracers |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/agents/{agent_key}/tracers |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/agents/{agent_key}/tracers      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/agents/{agent_key}/tracers      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/agents/{agent_key}/tracers  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/agents/{agent_key}/tracers     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/agents/{agent_key}/tracers |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/agents/{agent_key}/tracers |

## List all fleet clusters → preview{% #list-all-fleet-clusters %}

| Datadog site      | API endpoint                                                  |
| ----------------- | ------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/clusters |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/clusters |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/clusters      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/clusters      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/clusters  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/clusters     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/clusters |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/clusters |

## List instrumented pods for a cluster → preview{% #list-instrumented-pods-for-a-cluster %}

| Datadog site      | API endpoint                                                                                   |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/clusters/{cluster_name}/instrumented_pods |
